<?php
/**
 * Hello World default controller
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * Hello World Component Controller
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class eBoekhoudenController extends JController
{
    function __construct($config = array())
    {
	    JSubMenuHelper::addEntry(JText::_('Main'), 'index.php?option=com_eboekhouden',
            JRequest::getVar('controller', '') == '');
	    JSubMenuHelper::addEntry(JText::_('Orders'), 'index.php?option=com_eboekhouden&controller=orders',
            JRequest::getVar('controller', '') == 'orders');
	    JSubMenuHelper::addEntry(JText::_('Products'), 'index.php?option=com_eboekhouden&controller=products',
            JRequest::getVar('controller', '') == 'products');
	    JSubMenuHelper::addEntry(JText::_('Category'), 'index.php?option=com_eboekhouden&controller=category',
            JRequest::getVar('controller', '') == 'category');
	    //JSubMenuHelper::addEntry(JText::_('Export'), 'index.php?option=com_eboekhouden&controller=export',
        //    JRequest::getVar('controller', '') == 'export');            
        return parent::__construct($config);        
    }
	/**
	 * Method to display the view
	 *
	 * @access	public
	 */
	function display()
	{
	    parent::display();
	}
}