<?php

/**
 * @author Kiritateru, DharmaMedia.
 * @package e-Boekhouden.nl
 * @copyright 2011
 */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.error.error');

class eBoekhoudenControllerCategory extends eBoekhoudenController
{
    function display()
    {
        $this->loadExternal();

        global $mainframe;
        $db = JFactory::getDBO();
        if (!isset($context)) {
            $context = '';
        }
//        $filter_order = $mainframe->getUserStateFromRequest($context . 'filter_order',
//            'filter_order', 'b.category_name', 'cmd');
//        $filter_order_Dir = $mainframe->getUserStateFromRequest($context .
//            'filter_order_Dir', 'filter_order_Dir', '', 'word');
//        $search = $mainframe->getUserStateFromRequest($context . 'search', 'search', '',
//            'string');
//        $search = JString::strtolower($search);
//
//        $limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->
//            getCfg('list_limit'), 'int');
//        $limitstart = $mainframe->getUserStateFromRequest($context . 'limitstart',
//            'limitstart', 0, 'int');
//
//        $where = array();
//
//        if ($search) {
//            $where[] = 'LOWER(b.category_name) LIKE ' . $db->Quote('%' . $db->getEscaped($search, true) .
//                '%', false);
//        }
//
//        $where = (count($where) ? ' WHERE ' . implode(' AND ', $where) : '');
//        $orderby = ' ORDER BY ' . $filter_order . ' ' . $filter_order_Dir .
//            ', b.category_id';

        $query = eBoekhoudenHelperExternal::getQuery('category', '*, a.id AS eboekhouden_categorie ');

//        $query .= $where . ' GROUP by b.category_id' . $orderby;

        $db->setQuery($query);
        $db->query();
        $total = $db->getNumRows();

//        jimport('joomla.html.pagination');
//        $pageNav = new JPagination($total, $limitstart, $limit);
//
//        $db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
        $rows = $db->loadObjectList();
        //var_dump($rows);
        $this->sortCategories($rows);
        // table ordering
        //$lists['order_Dir'] = $filter_order_Dir;
        //$lists['order'] = $filter_order;

        // search filter
        //$lists['search'] = $search;
        $lists = array();$pageNav=false;
        require_once (implode(DS, array(JPATH_COMPONENT, 'views', 'category', 'tmpl',
            'tmpl.php')));

        eBoekhoudenViewsCategories::categoriesList($rows, $lists, $pageNav);
    }
    function sortCategories(&$rows)
    {
        for($i = 0; $i < count($rows); $i++) {
            $obj =& $rows[$i];
            //var_dump($obj);die();
            if($obj->category_parent_id) {
               $this->_search($rows, $obj, $obj->category_parent_id);       
            }
        }
    }
    function _search(&$rows, &$row, $id) {
        foreach($rows as $i) {
            if(!$i) {
                continue;
            }
            if(isset($i->children) && count($i->children)) {
                $this->_search($i->children, $row, $id);
            }
            
            if($i->category_id == $id) {
                if(!isset($i->children)) {
                    $i->children = array();
                }
                array_push($i->children, $row);
                $row = false;
            }
        }
    }
    function edit()
    {
        $cid = JRequest::getVar('cid', array(0), 'method', 'array');

        $query = eBoekhoudenHelperExternal::getQuery('category', '', 'WHERE a.id=' . $cid[0]);
        
        $db = &JFactory::getDBO();

        $db->setQuery($query);
        $db->query();

        $row = $db->loadObject();
        
        require_once (implode(DS, array(JPATH_COMPONENT, 'views', 'category', 'tmpl',
            'tmpl.php')));

        eBoekhoudenViewsCategories::categoryEdit($row);
    }

    function save()
    {
        $cid = explode(',', JRequest::getVar('cid', '0', 'method', 'string'));
        $ln = JRequest::getVar('large_number', '0');

        $model = &$this->getModel('Category');
        
        foreach($cid as $i) {
            if(!$model->store(array('id'=>$i, 'large_number' => $ln))) {
                JError::raiseNotice('101', JText::_('COM_EBOEKHOUDEN_ERROR_SAVING_CATEGORY', $i));
            }
        }
        if(!count($this->getErrors())) {
            $msg = JText::_('Category Saved!');
        }

        $link = 'index.php?option=com_eboekhouden&controller=category';
        $this->setRedirect($link, $msg);
    }

    function cancel()
    {
        $msg = JText::_('Operation Cancelled');
        $this->setRedirect('index.php?option=com_eboekhouden&controller=category', $msg);
    }

    protected function updateEboekhoudenDB()
    {
        //$db =& JFactory::getDbo();

        $model = &$this->getModel('category', 'eBoekhoudenModel');

        foreach ($this->external_added_data as $obj) {
            // add the id's and thair
            var_dump($model->store($obj));
        }
    }

    protected function loadExternal()
    {
        $db = &JFactory::getDBO();

        $q = eBoekhoudenHelperExternal::getExternalQuery('category.removed',
            'a.category_id');

        $db->setQuery($q);
        $db->query();

        $rem = $db->loadObjectList();

        foreach ($rem as $i) {
            $model =& $this->getModel('category', 'eBoekhoudenModel');
            $model->loadData('category_id', $i->category_id);
            $model->delete();
        }

        $q = eBoekhoudenHelperExternal::getExternalQuery('category',
            'category_id');

        $db->setQuery($q);
        $db->query();

        $add = $db->loadObjectList();
        
        if($add == null) {
            $q = eBoekhoudenHelperExternal::getExternalQuery('category',
            'virtuemart_category_id');
            $db->setQuery($q);
            $db->query();
            
            $add = $db->loadObjectList();
        }

        foreach ($add as $i) {
            $model =& $this->getModel('category', 'eBoekhoudenModel');
            if(isset($i->category_id)) {
                if (!$model->loadData('category_id', $i->category_id)) {
                    if (!$model->store($i)) {
                        $this->setError(JText::_('COM_EBOEKHOUDEN_ERROR_UPDATING_CATEGORY'));
                        return false;
                    }                
                }
            } else {
                if (!$model->loadData('category_id', $i->virtuemart_category_id)) {
                    if (!$model->store($i)) {
                        $this->setError(JText::_('COM_EBOEKHOUDEN_ERROR_UPDATING_CATEGORY'));
                        return false;
                    }                
                }
            }
        }        
        
        return true;
    }
    /*
    protected function importExternalAdded($query)
    {
        $db = &JFactory::getDBO();
        $db->setQuery($query);
        $db->query();
        $this->external_added_data = $db->loadObjectList();
    }

    protected function importExternalRemoved($query)
    {
        $db = &JFactory::getDBO();
        $db->setQuery($query);
        $db->query();
        $this->external_removed_data = $db->loadObjectList();
    }

    protected function _isTestAdded()
    {
        return false;
    }
    protected function _isTestRemoved()
    {
        return false;
    }
    protected function _isVirtuemartAdded()
    {
        $db = &JFactory::getDBO();
        $q = 'SELECT category_id FROM #__vm_category';
        $db->setQuery($q);
        $db->query();
        if ($db->getNumRows()) {
            return 'SELECT a.category_id FROM #__vm_category AS a LEFT JOIN #__eboekhouden_categories AS b ON a.category_id = b.category_id WHERE b.category_id IS NULL';
        } else {
            return false;
        }
    }

    protected function _isVirtuemartRemoved()
    {
        $db = &JFactory::getDBO();
        $q = 'SELECT category_id FROM #__eboekhouden_categories';
        $db->setQuery($q);
        $db->query();
        if ($db->getNumRows()) {
            return 'SELECT a.category_id FROM #__eboekhouden_categories AS a LEFT JOIN #__vm_category AS b ON a.category_id = b.category_id WHERE b.category_id IS NULL';
        } else {
            return false;
        }
    }
    protected function _isRedShopAdded()
    {
        $db = &JFactory::getDBO();
        $q = 'SELECT category_id FROM #__vm_category';
        $db->setQuery($q);
        $db->query();
        if ($db->getNumRows()) {
            return 'SELECT a.category_id FROM #__vm_category AS a LEFT JOIN #__eboekhouden_categories AS b ON a.category_id = b.category_id WHERE b.category_id IS NULL';
        } else {
            return false;
        }
    }
    protected function _isRedShopRemoved()
    {
        $db = &JFactory::getDBO();
        $q = 'SELECT category_id FROM #__vm_category';
        $db->setQuery($q);
        $db->query();
        if ($db->getNumRows()) {
            return 'SELECT a.category_id FROM #__eboekhouden_categories AS a LEFT JOIN #__vm_category AS b ON a.category_id = b.category_id WHERE b.category_id IS NULL';
        } else {
            return false;
        }
    }
    */
}
