<?php

/**
 * @author Kiritateru, DharmaMedia.
 * @package e-Boekhouden.nl
 * @copyright 2011
 */

defined('_JEXEC') or die('Restricted access');

class eBoekhoudenControllerExport extends eBoekhoudenController
{
    var $updated = array();
    var $errors = array();

    function display()
    {
        JToolBarHelper::title(JText::_('COM_EBOEKHOUDEN_EXPORTS_MANAGER'), 'generic.png');
        JToolBarHelper::help('screen.eboekhouden-exports-view');
        require_once (implode(DS, array(JPATH_COMPONENT, 'views', 'export', 'tmpl',
            'default.php')));
    }
    function start()
    {
        $ids = JRequest::getVar('cid', array(0), 'method', 'array');
        $ids = explode(',', $ids[0]);

        $_orders = array();
        foreach ($ids as $i) {
            $model = &$this->getModel('ExOrder', 'eBoekhoudenModel');
            $model->set('id', $i);
            $model->buildExportOrder();
            $_orders[] = $model;
        }
        foreach ($_orders as $i) {
            //Send order, returned is mutation_nr
            $mutation_nr = eBoekhoudenHelperExternal::exportOrder($i);

            $model = &$this->getModel('orders', 'eBoekhoudenModel');

            $model->setId($i->id);
            $data = $model->getData();
            $data->mutation_nr = $mutation_nr;

            if ($model->store($data)) {
                $this->updated[] = array('order_id' => $data->order_id);
            } else {
                $this->errors[] = array('order_id' => $data->order_id); // Error messaging is handled by J!
            }
        }
        $this->display();
    }
}
