<?php
/**
 * Hello Controller for Hello World Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Hello Hello Controller
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class eBoekhoudenControllerOrders extends eBoekhoudenController
{
    /**
     * constructor (registers additional tasks to methods)
     * @return void
     */
    function __construct($config = array())
    {
        parent::__construct($config);

        // Register Extra tasks
        //$this->registerTask( 'add'  , 	'edit' );
    }
    function start()
    {
        $this->setRedirect('index.php?option=com_eboekhouden&controller=export&task=start&cid[]=' .
            implode(',', JRequest::getVar('cid', array(0), 'method', 'array')));
        $this->redirect();
    }
    function display()
    {
        $this->loadExternal();

        global $mainframe;
        $db = JFactory::getDBO();
        if (!isset($context)) {
            $context = '';
        }
//        $filter_order = $mainframe->getUserStateFromRequest($context . 'filter_order',
//            'filter_order', '', 'cmd');
//        $filter_order_Dir = $mainframe->getUserStateFromRequest($context .
//            'filter_order_Dir', 'filter_order_Dir', '', 'word');
//        $search = $mainframe->getUserStateFromRequest($context . 'search', 'search', '',
//            'string');
//        $search = JString::strtolower($search);
//
//        $limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->
//            getCfg('list_limit'), 'int');
//        $limitstart = $mainframe->getUserStateFromRequest($context . 'limitstart',
//            'limitstart', 0, 'int');
//
//        $where = array();
//
//        if ($search) {
//            $where[] = 'LOWER(b.mutation_nr) LIKE ' . $db->Quote('%' . $db->getEscaped($search, true) .
//                '%', false);
//        }
//
//        $where = (count($where) ? ' WHERE ' . implode(' AND ', $where) : '');
//        if ($filter_order && $filter_order_Dir) {
//            $orderby = ' ORDER BY ' . $filter_order . ' ' . $filter_order_Dir;
//        } else {
//            $orderby = '';
//        }
//        
//        $orderby = ' ORDER BY id DESC';
        
        $query = eBoekhoudenHelperExternal::getQuery('order');
       
        //$query .= $where . ' GROUP by a.id' . $orderby;

        $db->setQuery($query);
        $db->query();
        $total = $db->getNumRows();

//        jimport('joomla.html.pagination');
//        $pageNav = new JPagination($total, $limitstart, $limit);
//
//        $db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
        $rows = $db->loadObjectList();
        // table ordering
        //$lists['order_Dir'] = $filter_order_Dir;
        //$lists['order'] = $filter_order;

        // search filter
        //$lists['search'] = $search;
        $lists = array();$pageNav=false;
        //require_once(JPATH_COMPONENT.DS.'views'.DS.'category'.DS.''.DS.'form.php');
        require_once (implode(DS, array(JPATH_COMPONENT, 'views', 'orders', 'tmpl',
            'form.php')));

        eBoekhoudenViewsOrders::ordersList($rows, $lists, $pageNav);
    }
    /**
     * display the edit form
     * @return void
     */
    function edit()
    {
        JRequest::setVar('view', 'orders');
        JRequest::setVar('layout', 'edit');
        JRequest::setVar('hidemainmenu', 1);

        $cid = JRequest::getVar('cid', array(0), 'method', 'array');

        $query = eBoekhoudenHelperExternal::getQuery('order', '', 'WHERE a.id=' . $cid[0]);
        $db = &JFactory::getDBO();

        $db->setQuery($query);
        $db->query();

        $row = $db->loadObject();

        require_once (implode(DS, array(JPATH_COMPONENT, 'views', 'orders', 'tmpl',
            'form.php')));

        eBoekhoudenViewsOrders::ordersEdit($row);
    }

    /**
     * save a record (and redirect to main page)
     * @return void
     */
    function save()
    {
        $model = &$this->getModel('orders');

        if ($model->store($post)) {
            $msg = JText::_('Orders Saved!');
        } else {
            $msg = JText::_('Error Saving Orders');
        }

        // Check the table in so it can be edited.... we are done with it anyway
        $link = 'index.php?option=com_eboekhouden&controller=orders';
        $this->setRedirect($link, $msg);
    }

    /**
     * remove record(s)
     * @return void
     */
    function remove()
    {
        $model = &$this->getModel('orders');
        if (!$model->delete()) {
            $msg = JText::_('Error: One or More Order(s) Could not be Deleted');
        } else {
            $msg = JText::_('Order(s) Deleted');
        }

        $this->setRedirect('index.php?option=com_eboekhouden&controller=orders', $msg);
    }

    /**
     * cancel editing a record
     * @return void
     */
    function cancel()
    {
        $msg = JText::_('Operation Cancelled');
        $this->setRedirect('index.php?option=com_eboekhouden&controller=orders', $msg);
    }

    protected function updateEboekhoudenDB()
    {
        //$db =& JFactory::getDbo();

        $model = &$this->getModel('orders', 'eBoekhoudenModel');

        foreach ($this->external_added_data as $obj) {
            // add the id's and thair
            var_dump($model->store($obj));
        }
    }
    protected function loadExternal()
    {
        $db = &JFactory::getDBO();

        $q = eBoekhoudenHelperExternal::getExternalQuery('order');

        $db->setQuery($q);
        $db->query();

        $result = $db->loadObjectList();

        foreach ($result as $i) {
            $model = &$this->getModel('Orders');
            if(isset($i->order_id)) {
                if (!$model->getData('order_id', $i->order_id)) {
                    if (!$model->store($i)) {
                        $this->setError(JText::_('COM_EBOEKHOUDEN_ERROR_UPDATING_ORDERS'));
                        return false;
                    }
                }
            } else {
                if (!$model->getData('order_id', $i->virtuemart_order_id)) {
                    if (!$model->store($i)) {
                        $this->setError(JText::_('COM_EBOEKHOUDEN_ERROR_UPDATING_ORDERS'));
                        return false;
                    }
                }
            }
            
        }
    }
}
