<?php

/**
 * @author Kiritateru, DharmaMedia.
 * @package e-Boekhouden.nl
 * @copyright 2011
 */

defined('_JEXEC') or die('Restricted access');

class eBoekhoudenControllerProducts extends eBoekhoudenController
{    
    function display()
    {
        $this->loadExternal();

        //global $mainframe;
        $db = JFactory::getDBO();
        if (!isset($context)) {
            $context = '';
        }
        
//        $filter_order = $mainframe->getUserStateFromRequest($context . 'filter_order',
//            'filter_order', 'b.product_name', 'cmd');
//        $filter_order_Dir = $mainframe->getUserStateFromRequest($context .
//            'filter_order_Dir', 'filter_order_Dir', '', 'word');
//        $search = $mainframe->getUserStateFromRequest($context . 'search', 'search', '',
//            'string');
//        $search = JString::strtolower($search);
//
//        $limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->
//            getCfg('list_limit'), 'int');
//        $limitstart = $mainframe->getUserStateFromRequest($context . 'limitstart',
//            'limitstart', 0, 'int');
//
//        $where = array();
//
//        if ($search) {
//            $where[] = 'LOWER(b.product_name) LIKE ' . $db->Quote('%' . $db->getEscaped($search, true) .
//                '%', false);
//        }
//
//        $where = (count($where) ? ' WHERE ' . implode(' AND ', $where) : '');
//        $orderby = ' ORDER BY ' . $filter_order . ' ' . $filter_order_Dir .
//            ', b.product_id';
        
        jimport('joomla.html.pagination');
        
        
        $query = eBoekhoudenHelperExternal::getQuery('product', 'a.*, a.id AS eboek_product_id, b.*, c.*, d.*, e.*, f.*');

        //$query .= $where . ' GROUP by a.id' . $orderby;

        $db->setQuery($query);
        $db->query();
        $total = $db->getNumRows();

        $pageNav = new JPagination($total, JRequest::getInt('limitstart', 0), JRequest::getInt('limit', 0));
        
        $db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
        $rows = $db->loadObjectList();
        if($rows == null) {
            $query = eBoekhoudenHelperExternal::getQuery('product', '*, a.id AS eboek_product_id');
            $db->setQuery($query);
            $db->query();
            $total = $db->getNumRows();
            $pageNav = new JPagination($total, JRequest::getInt('limitstart', 0), JRequest::getInt('limit', 0));
            
            $db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
            $rows = $db->loadObjectList();
        }
        // table ordering
        $lists['order_Dir'] = JRequest::getVar('', 0);
        $lists['order'] = JRequest::getVar('', 0);
        
        $this->sortProducts($rows);

        
        // search filter
        //$lists['search'] = $search;

        require_once (implode(DS, array(JPATH_COMPONENT, 'views', 'products', 'tmpl',
            'form.php')));

        eBoekhoudenViewsProducts::productsList($rows, $lists, $pageNav);
    }
    function sortProducts(&$rows)
    {
        for($i = 0; $i < count($rows); $i++) {
            $obj =& $rows[$i];
            if($obj->product_parent_id) {
               $this->_search($rows, $obj, $obj->product_parent_id);       
            }
        }
    }
    function _search(&$rows, &$row, $id) {
        foreach($rows as $i) {
            if(!$i) {
                continue;
            }
            if(isset($i->children) && count($i->children)) {
                $this->_search($i->children, $row, $id);
            }
            
            if($i->product_id == $id) {
                if(!isset($i->children)) {
                    $i->children = array();
                }
                array_push($i->children, $row);
                $row = false;
            }
        }
    }
    function edit()
    {
        JRequest::setVar('view', 'products');
        JRequest::setVar('layout', 'edit');
        JRequest::setVar('hidemainmenu', 1);
        
        $cid	= JRequest::getVar('cid', array(0), 'method', 'array');

        $query = eBoekhoudenHelperExternal::getQuery('product', '', 'WHERE a.id=' . $cid[0]);    
        $db =& JFactory::getDBO();
        
        $db->setQuery($query);
        $db->query();
        
        $row = $db->loadObject();
        
        require_once (implode(DS, array(JPATH_COMPONENT, 'views', 'products', 'tmpl',
            'form.php')));
        
        eBoekhoudenViewsProducts::productsEdit($row);
    }

    function save()
    {
        $cid = explode(',', JRequest::getVar('cid', '0', 'method', 'string'));
        $ln = JRequest::getVar('large_number', '0');

        $model = &$this->getModel('products');
        
        foreach($cid as $i) {
            if(!$model->store(array('id'=>$i, 'large_number' => $ln))) {
                JError::raiseNotice('101', JText::_('COM_EBOEKHOUDEN_ERROR_SAVING_PRODUCT', $i));
            }
        }
        if(!count($this->getErrors())) {
            $msg = JText::_('Products Saved!');
        }
        
        
//        $model = &$this->getModel('products');
//
//        if ($model->store($post)) {
//            $msg = JText::_('Products Saved!');
//        } else {
//            $msg = JText::_('Error Saving Products');
//        }

        // Check the table in so it can be edited.... we are done with it anyway
        $link = 'index.php?option=com_eboekhouden&controller=products';
        $this->setRedirect($link, $msg);
    }

    function cancel()
    {
        $msg = JText::_('Operation Cancelled');
        $this->setRedirect('index.php?option=com_eboekhouden&controller=products', $msg);
    }

    protected function updateEboekhoudenDB()
    {
        //$db =& JFactory::getDbo();

        $model = &$this->getModel('products', 'eBoekhoudenModel');

        foreach ($this->external_added_data as $obj) {
            // add the id's and thair
            var_dump($model->store($obj));
        }
    }
    protected function loadExternal()
    {
        $db = &JFactory::getDBO();

        $q = eBoekhoudenHelperExternal::getExternalQuery('product.removed',
            'a.product_id');

        $db->setQuery($q);
        $db->query();

        $rem = $db->loadObjectList();

        foreach ($rem as $i) {
            $model =& $this->getModel('Products', 'eBoekhoudenModel');
            $model->getData('product_id', $i->product_id);
            $model->delete();
        }

        $q = eBoekhoudenHelperExternal::getExternalQuery('product',
            'product_id');
        

        $db->setQuery($q);
        $db->query();
        
        $add = $db->loadObjectList();
        if($add == null) {
            $q = eBoekhoudenHelperExternal::getExternalQuery('product',
            'virtuemart_product_id', '');
            $db->setQuery($q);
            $db->query();
            
            $add = $db->loadObjectList();
        }

        foreach ($add as $i) {
            $model =& $this->getModel('Products', 'eBoekhoudenModel');
            if(isset($i->product_id)) {
                if (!$model->getData('product_id', $i->product_id)) {
                    if (!$model->store($i)) {
                        $this->setError(JText::_('COM_EBOEKHOUDEN_ERROR_UPDATING_CATEGORY'));
                        return false;
                    }                
                }
            } else {
                if (!$model->getData('product_id', $i->virtuemart_product_id)) {
                    if (!$model->store($i)) {
                        $this->setError(JText::_('COM_EBOEKHOUDEN_ERROR_UPDATING_CATEGORY'));
                        return false;
                    }
                }
            }
            
        }        
        
        return true;
        
        
        
        
        
        
        
        
        $db =& JFactory::getDBO();
        
        $q = eBoekhoudenHelperExternal::getExternalQuery('product');
        
        $db->setQuery($q);
        $db->query();
        
        $result = $db->loadObjectList();
        $model =& $this->getModel('Products');
        
        // Add any unknown products
        foreach($result as $i) {
            if(!$model->getData('product_id', $i->product_id)) {
                $model->store($i);
            }
        }
    }
}
