/**
 * Products Table
 * ID, Product_ID (from webshop), Tax_ID, Large Number (From e-Boekhouden.nl)
 */

CREATE TABLE IF NOT EXISTS `#__eboekhouden_products` (
  `id` int(22) NOT NULL AUTO_INCREMENT,
  `product_id` int(22) NOT NULL,
  `tax_group_id` int(22) NOT NULL,
  `large_number` varchar(100) NOT NULL,
   PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

/**
 * Categories Table
 * ID, Category_id (from webshop), Tax_ID, Large Number (From e-Boekhouden.nl)
 */
 
CREATE TABLE IF NOT EXISTS `#__eboekhouden_categories` (
  `id` int(22) NOT NULL AUTO_INCREMENT,
  `category_id` varchar(100) NOT NULL,
  `tax_group_id` int(22) NOT NULL,
  `large_number` varchar(100) NOT NULL,
   PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

/**
 * Tax Groups Table
 * ID, Product_ID (from webshop), Tax_ID,
 */
 
CREATE TABLE IF NOT EXISTS `#__eboekhouden_tax_groups` (
  `id` int(22) NOT NULL AUTO_INCREMENT,
  `description` varchar(100) NOT NULL,
  `extern_id` varchar(100) NOT NULL,
   PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

/**
 * Orders Table
 * ID, Order_ID (from webshop), Mutation Number (From e-Boekhouden.nl)
 */

CREATE TABLE IF NOT EXISTS `#__eboekhouden_orders` (
  `id` int(22) NOT NULL AUTO_INCREMENT,
  `order_id` int(22) NOT NULL,
  `mutation_nr` varchar(100) NOT NULL,
  `last_update` int(11) NOT NULL,
   PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;