<?php

/**
 * @author Kiritateru, DharmaMedia.
 * @package e-Boekhouden.nl
 * @copyright 2011
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class eBoekhoudenModelOrders extends JModel
{
	function __construct()
	{
		parent::__construct();

		$array = JRequest::getVar('cid',  0, '', 'array');
		$this->setId((int)$array[0]);
	}

	function setId($id)
	{
		$this->_id		= $id;
		$this->_data	= null;
	}

	function &getData($key = false, $value = false)
	{
	   if(!$key || !$value) {
	       $key = 'id';
           $value = $this->_id;
	   }
		// Load the data
		if (empty( $this->_data )) {
		      if(is_numeric($value)) {
		          $query = ' SELECT * FROM #__eboekhouden_orders'.
					'  WHERE ' . $key . ' = '.$value . ' GROUP BY id';
		      } else {
		          $query = ' SELECT * FROM #__eboekhouden_orders'.
					'  WHERE ' . $key . ' = "'.$value.'" GROUP BY id';
		      }
			if(JRequest::getVar('conf_debug') && JRequest::getVar('debug_id') == 5) {
		          var_dump($query); die();
			}
			$this->_db->setQuery( $query );
			$this->_data = $this->_db->loadObject();
		}
		return $this->_data;
	}

	function store($data = false)
	{
		$row =& $this->getTable('Orders', 'eBoekhoudenTable');
        if(!$data) {
            $data = JRequest::get( 'post' );    
        }
        if(is_object($data)) {
            if(!isset($data->order_id) && isset($data->virtuemart_order_id)) {
                $data->order_id = $data->virtuemart_order_id;
            }
        } elseif(is_array($data)) {
            if(!isset($data['order_id']) && isset($data['virtuemart_order_id'])) {
                $data['order_id'] = $data['virtuemart_order_id'];
            }
        }
        
        $data->last_update = time();
		
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		if (!$row->store()) {
			$this->setError( $row->getErrorMsg() );
			return false;
		}

		return true;
	}

	function delete()
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );

		$row =& $this->getTable();

		if (count( $cids )) {
			foreach($cids as $cid) {
				if (!$row->delete( $cid )) {
					$this->setError( $row->getErrorMsg() );
					return false;
				}
			}
		}
		return true;
	}
}