<?php

/**
 * @author Kiritateru, DharmaMedia.
 * @package e-Boekhouden.nl
 * @copyright 2011
 */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.modeladmin');

class eBoekhoudenModelProduct extends JModelAdmin
{
    protected function getListQuery()
    {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('a.*')->from('#__eboekhouden_products AS a')->join('LEFT',
            '#__vm_product AS b ON b.product_id=a.product_id')->select('b.product_sku AS sku, b.product_name')->
            join('LEFT', '#__vm_product_category_xref AS c ON a.product_id=c.product_id')->
            join('LEFT', '#__vm_category AS d ON c.category_id=d.category_id')->select('d.category_name, d.category_id')->
            order('a.id');
        return $query;
    }    
	public function getTable($type = 'Products', $prefix = 'eBoekhoudenTable', $config = array()) 
	{
		return JTable::getInstance($type, $prefix, $config);
	}
	public function getForm($data = array(), $loadData = true) 
	{
        $form = $this->loadForm('com_eboekhouden.product', 'product', array('control' => 'jform', 'load_data' => $loadData));
        if(empty($form)) {
            return false;
        }
        return $form;
	}    
	protected function loadFormData() 
	{
		$data = JFactory::getApplication()->getUserState('com_eboekhouden.edit.product.data', array());
		if (empty($data)) 
		{
			$data = $this->getItem();
		}
		return $data;
	}
    function getItem($param = '')
    {
        if(!is_array($param)) {
            return parent::getItem($param);
        }
        $table = $this->getTable();
        return $table->load($param);
    }
}