<?php

/**
 * @author Kiritateru, DharmaMedia.
 * @package e-Boekhouden.nl
 * @copyright 2011
 */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.view');

class eBoekhoudenViewCategories extends JView
{
    public function display($tpl = null)
    {
        $items = $this->get('Items');
        $pagination = $this->get('Pagination');

        if (count($errors = $this->get('Errors'))) {
            JError::raiseError(500, implode('<br />', $errors));
            return false;
        }

        $this->items = $items;
        $this->pagination = $pagination;

        parent::display($tpl);
        $this->setDocument();
        $this->addToolBar();
        ebGeneral::addSubmenu();
    }
    protected function addToolBar()
    {
        JToolBarHelper::editList('category.edit', 'JTOOLBAR_EDIT');
        JToolBarHelper::divider();
        JToolBarHelper::help('JHELP_COMPONENTS_EBOEKHOUDEN_CATEGORIES_LIST');
    }
	protected function setDocument() 
	{
		$document = JFactory::getDocument();
		$document->setTitle(JText::_('COM_EBOEKHOUDEN_CATEGORIES_ADMINISTRATION'));
	}    
}
