<?php
/**
 * Hello View for Hello World Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

/**
 * Hello View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class eBoekhoudenViewCategory extends JView
{
	/**
	 * display method of Hello view
	 * @return void
	 **/
	function display($tpl = null)
	{
	   if(JRequest::getVar('task') != 'edit') {
    	    JToolBarHelper::title( JText::_( 'e-Boekhouden Category Manager' ), 'generic.png' );
    	    JToolBarHelper::editListX();
            JToolBarHelper::divider();
            JToolBarHelper::help( 'screen.eboekhouden-categories' );
	   } else {
            JToolBarHelper::title( JText::_( 'e-Boekhouden Category Edit' ), 'generic.png' );
    		JToolBarHelper::save( 'save' );
    		JToolBarHelper::cancel( 'cancel' );
            JToolBarHelper::divider();
            JToolBarHelper::help( 'screen.eboekhouden-categories-edit' );
            JRequest::setVar( 'hidemainmenu', 1 );
	   }

		if(JRequest::getVar('layout') == 'edit') {
            $items =& $this->getModel('Category');
            $items->setId(JRequest::getInt('cid'));
            $items->getData(false);
		} else {
    	    // Get data from the model
    		$items =& $this->get('Data');
		}
        
		$pagination =& $this->get('Pagination');

		// push data into the template
		$this->assignRef('items', $items);
		$this->assignRef('pagination', $pagination);

	    parent::display($tpl);
	}
}