<?php
/**
 * Hello View for Hello World Component
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );
jimport('joomla.error.error');

/**
 * Hello View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class eBoekhoudenVieweBoekhouden extends JView
{
	/**
	 * display method of Hello view
	 * @return void
	 **/
	function display($tpl = null)
	{
	    JToolBarHelper::title( JText::_( 'EBOEKHOUDEN_MAIN_MANAGER' ), 'generic.png' );
        JToolBarHelper::preferences('com_eboekhouden', '295');
        JToolBarHelper::divider();
        JToolBarHelper::help( 'screen.eboekhouden-main' );

        if(!eBoekhoudenHelperExternal::_isVirtuemart()) {
            JError::raiseError(JText::_("COM_EBOEKHOUDEN_VM_NOT_INSTALLED"));
        }
	    // Get data from the model

	    parent::display($tpl);
	}
}