<?php
/**
 * Hello View for Hello World Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

/**
 * Hello View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class eBoekhoudenViewExport extends JView
{
	/**
	 * display method of Hello view
	 * @return void
	 **/
	function display($tpl = null)
	{
	    JToolBarHelper::title( JText::_( 'e-Boekhouden Export' ), 'generic.png' );
        JToolBarHelper::divider();
        JToolBarHelper::help( 'screen.eboekhouden-export' );

        $db =& JFactory::getDbo();
        $db->setQuery('SELECT * FROM #__eboekhouden_orders ORDER BY id DESC LIMIT 1');
        $row = $db->loadObject();
        
        $this->assignRef('row', $row);

	    parent::display($tpl);
	}
}