<?php

/**
 * @author Kiritateru, DharmaMedia.
 * @package e-Boekhouden.nl
 * @copyright 2011
 */

defined('_JEXEC') or die('Restricted access');

class eBoekhoudenViewsOrders
{
    function ordersEdit($row)
    {     
        JToolBarHelper::title( JText::_( 'COM_BOEKHODEN_ORDERS_EDIT' ), 'generic.png' );
		JToolBarHelper::save('save');
		JToolBarHelper::cancel( 'cancel' );
        JToolBarHelper::divider();
        JToolBarHelper::help( 'screen.eboekhouden-orders-edit' );
        JRequest::setVar( 'hidemainmenu', 1 );
        ?>
<form action="index.php" method="post" name="adminForm">
    <div class="col100">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Order Details' ); ?> <?php echo sprintf("%08d", $row->order_id) ?></legend>
				<table class="admintable">
				<tbody>
					<tr>
						<td width="20%" class="key">
							<label for="alias">
								<?php echo JText::_( 'COM_EBOEKHOUDEN_LAST_UPDATE' ); ?>:
							</label>
						</td>
						<td width="80%">
                            <input type="text" disabled="true" name="last_update" id="last_update" value="<?php echo date('d/m/Y H:i', $row->last_update); ?>" />
						</td>
					</tr>                
					<tr>
						<td width="20%" class="key">
							<label for="alias">
								<?php echo JText::_( 'COM_EBOEKHOUDEN_ORDERS_HEADING_MUTATION_ID' ); ?>:
							</label>
						</td>
						<td width="80%">
                            <input type="text" name="mutation_nr" id="mutation_nr" value="<?php echo $row->mutation_nr ?>" />
						</td>
					</tr>
				</tbody>
				</table>
			</fieldset>    
    </div>
    <input type="hidden" name="id" value="<?php echo $row->id ?>"/>
    <input type="hidden" name="option" value="com_eboekhouden" />
    <input type="hidden" name="controller" value="orders" />
    <input type="hidden" name="task" value="" />
    <?php echo JHTML::_( 'form.token' ); ?>
</form>         
        
<?php }
    function ordersList($rows, $lists, $pageNav)
    { 
	    JToolBarHelper::title( JText::_( 'COM_BOEKHODEN_ORDERS_MANAGER' ), 'generic.png' );
        JToolBarHelper::custom('start', 'upload', '', JText::_('Start Export'), true, false);
        JToolBarHelper::spacer();        
	    JToolBarHelper::editListX();
        JToolBarHelper::divider();
        JToolBarHelper::help( 'screen.eboekhouden-orders' );
        
        ?>
        <form action="index.php" method="post" name="adminForm" id="adminForm">
        
        <div class="col100">
        	<fieldset class="adminForm">
        		<legend><?php echo JText::_( 'Details' ); ?></legend>
        
        		<table class="adminlist">
        			<thead>
        				<th width="20"><?php echo JText::_('ID') ?></th>
                        <th width="20">&nbsp;</th>
        				<th width=""><?php echo JText::_('Order number') ?></th>
                        <th width=""><?php echo JText::_('Mutation number') ?></th>
                        <th width=""><?php echo JText::_('Order info ') ?></th>
                        <th width=""><?php echo JText::_('Customer info') ?></th>
        			</thead>
        			<?php 
                    $c = count($rows);
                    for($i = 0; $i < $c; $i++) { 
        			     $item = $rows[$i];
                         $link = JRoute::_('index.php?option=com_eboekhouden&controller=orders&task=edit&cid='.(int) $item->id);
                     ?>
        		<tr class="">
        			<td> 
                        <?php echo $item->id;?>
                    </td>
        			<td><?php echo JHTML::_('grid.id',   $i, $item->id ); ?></td>
        			<td><a href="<?php echo $link; ?>"><?php echo sprintf("%08d", $item->order_id) ?></a></td>
                    <td><a href="<?php echo $link; ?>"><?php echo $item->mutation_nr ?></a> (<?php echo JText::_('COM_EBOEKHOUDEN_LAST_UPDATE');  echo date(' d/m/Y H:i', $item->last_update); ?>)</td>
                    <td>
                        <label><?php echo JText::_('Order status') ?></label> <span style="display: block;width:75px;float: right; font-size: 12px;margin: 6px 0 0 10px;"><?php echo $item->order_status_name ?></span><br />
                        <label><?php echo JText::_('Order total') ?></label> <span style="display: block;width:75px;float: right; font-size: 12px;margin: 6px 0 0 10px;"><?php echo $item->order_total ?></span><br />
                        <label><?php echo JText::_('Order tax') ?></label> <span style="display: block;width:75px;float: right; font-size: 12px;margin: 6px 0 0 10px;"><?php echo $item->order_tax ?></span>
                    </td>
                    <td>
                        <label><?php echo JText::_('Customer name') ?></label> <span style="display: block;width:75px;float: right; font-size: 12px;margin: 6px 0 0 10px;"><?php echo $item->first_name . ' ' . $item->last_name ?></span><br />
                        <label><?php echo JText::_('Address') ?></label> <span style="display: block;width:75px;float: right; font-size: 12px;margin: 6px 0 0 10px;"><?php echo $item->address_1 . ' ' . $item->city ?></span>
                    </td>
                    
        		</tr>
        		<?php }?>
        		<tfoot>
        			<tr>
        				<td colspan="6"><?php //echo $pageNav->getListFooter(); ?></td>
        			</tr>
        		</tfoot>
        	</table>
        	</fieldset>
        </div>
        <div class="clr"></div>
        
        <input type="hidden" name="option" value="com_eboekhouden" />
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="controller" value="orders" />
		<input type="hidden" name="filter_order" value="<?php //echo $lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php //echo $lists['order_Dir']; ?>" /> 
        <?php echo JHTML::_( 'form.token' ); ?>       
        </form>
        
<?php }
}