<?php defined('_JEXEC') or die('Restricted access');
class eBoekhoudenViewsProducts
{
    function productsEdit($row)
    {     
        JToolBarHelper::title( JText::_( 'COM_BOEKHODEN_PRODUCT_EDIT' ), 'generic.png' );
		JToolBarHelper::save( 'save' );
		JToolBarHelper::cancel( 'cancel' );
        JToolBarHelper::divider();
        JToolBarHelper::help( 'screen.eboekhouden-categories-edit' );
        JRequest::setVar( 'hidemainmenu', 1 );
        
        ?>
<form action="index.php" method="post" name="adminForm">
    <div class="col100">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Product Details' ); ?> <?php echo $row->product_name . ' (SKU: ' . $row->product_sku . ')' ?></legend>
				<table class="admintable">
				<tbody>
					<tr>
						<td width="20%" class="key">
							<label for="alias">
								<?php echo JText::_( 'Large Number' ); ?>:
							</label>
						</td>
						<td width="80%">
                            <?php echo eBoekhoudenHelperExternal::getLargeNumbers($row->large_number) ?>
						</td>
					</tr>
				</tbody>
				</table>
			</fieldset>    
    </div>
    <input type="hidden" name="id" value="<?php echo $row->id ?>"/>
    <input type="hidden" name="cid" value="<?php echo implode(',', JRequest::getVar('cid', array(0), 'method', 'array')) ?>"/>
    <input type="hidden" name="option" value="com_eboekhouden" />
    <input type="hidden" name="controller" value="products" />
    <input type="hidden" name="task" value="" />
    <?php echo JHTML::_( 'form.token' ); ?>
</form>         
        
<?php }
    function productsList($rows, $lists, $pageNav)
    { 
        global $ln;
	    JToolBarHelper::title( JText::_( 'COM_BOEKHODEN_PRODUCT_MANAGER' ), 'generic.png' );
	    JToolBarHelper::editListX();
        JToolBarHelper::divider();
        JToolBarHelper::help( 'screen.eboekhouden-products' );
        
        ?>
        <form action="index.php" method="post" name="adminForm" id="adminForm">
        
        <div class="col100">
        	<fieldset class="adminForm">
        		<legend><?php echo JText::_( 'Details' ); ?></legend>
        
        		<table class="adminlist">
        			<thead>
        				<td width="20"><?php echo JText::_('ID') ?></td>
                        <td width="20">&nbsp;</td>
        				<td width="100"><?php echo JText::_('Product SKU') ?></td>
                        <td width="100"><?php echo JText::_('Large Number') ?></td>
        				<td><?php echo JText::_('Product name') ?></td>
                        <td><?php echo JText::_('Product category name') ?></td>
        			</thead>
        			<?php 
                    $c = count($rows);
                    for($i = 0; $i < $c; $i++) {
                        if(!$rows[$i]) {
                            continue;
                        }
        			     $item = $rows[$i];
                         $item->checked_out = false;
                         $q = false;
                         
                         //var_dump($item);
                         
                         $link = JRoute::_('index.php?option=com_eboekhouden&controller=products&task=edit&cid='.(int) $item->eboek_product_id);
                         if(isset($item->category_id)) {
                            $catlink = JRoute::_('index.php?option=com_eboekhouden&controller=category&task=edit&cid=' . (int) $item->category_id);
                            $q  = eBoekhoudenHelperExternal::getQuery('category', 'a.large_number', 'WHERE a.category_id='.$item->category_id);
                         } elseif($item->virtuemart_category_id) {
                            $catlink = JRoute::_('index.php?option=com_eboekhouden&controller=category&task=edit&cid=' . (int) $item->virtuemart_category_id);
                            $q  = eBoekhoudenHelperExternal::getQuery('category', 'a.large_number', 'WHERE a.category_id='.$item->virtuemart_category_id);
                         }
                         
                         //$q  = eBoekhoudenHelperExternal::getQuery('category', 'a.large_number', 'WHERE a.category_id='.$item->category_id);
                         if($q) {
                             $db =& JFactory::getDBO();
                             $db->setQuery($q);
                             $res = $db->loadObject();
                         } else {
                            $res = false;
                         }
                        
                     ?>
        		<tr class="">
        			<td> 
                        <?php echo $item->eboek_product_id;?>
                    </td>
        			<td width="20">
        					<?php echo JHTML::_('grid.checkedout',   $item, $i ); ?>
        				</td>
        			<td><?php echo $item->product_sku;?></td>
        			<td><a href="<?php echo $link; ?>">
                        <?php 
                        if($item->large_number) {
                            echo $item->large_number;
                            $ln = array(0 => $item->large_number);
                        } else if ($res && $res->large_number) {
                            echo '<i>' . JText::_('COM_BOEKHOUDEN_LARGE_NUMBER_FROM_CATEGORY') . '</i>' . ' (' . $res->large_number . ')';
                            $ln = array(0 => $item->large_number, 2 => '', 3 => '');
                        } else {
                            $ln = array();
                        }
                        ?></a>
                    </td>
                    <td>
                        <a href="<?php echo $link; ?>"><?php echo (isset($item->product_name) ? $item->product_name : '');?></a>
                        <?php echo getChildren($item); ?>
                    </td>
                    <td><a href="<?php echo (isset($catlink) ? $catlink : ''); ?>"><?php echo (isset($item->category_name) ? $item->category_name : '');?></a></td>
        		</tr>
        		<?php }?>
        		<tfoot>
        			<tr>
        				<td colspan="9"><?php echo $pageNav->getListFooter(); ?></td>
        			</tr>
        		</tfoot>
        	</table>
        	</fieldset>
        </div>
        <div class="clr"></div>
        
        <input type="hidden" name="option" value="com_eboekhouden" />
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="controller" value="products" />
		<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" /> 
        <?php echo JHTML::_( 'form.token' ); ?>       
        </form>
        
<?php }
}
function getChildren(&$row) {
    global $indent;
    $html = '';
    if(isset($row->children) && count($row->children)) {
        $indent = 1;
        _getHtmlLink($html, $row->children);
    }
    return $html;
}
global $indent, $ln;
$indent = 1;
function _getHtmlLink(&$html, &$row)
{
    global $indent,$ln;
    foreach($row as $i) {
        $link = JRoute::_('index.php?option=com_eboekhouden&controller=products&task=edit&cid='.(int) $i->eboek_product_id);

        $html .= '<br />';
        for($c = 0; $c < $indent; $c++) {
            $html .= '&nbsp;&nbsp;&nbsp;&nbsp;';
        }

        if($i->large_number) {
            $ln[$indent] = $i->large_number;
        }
        
        $lnp = '';
        for($v = $indent; $v >= 0; $v--) {
            if(isset($ln[$v]) && $ln[$v]) {
                $lnp = $ln[$v];
                break;
            }
        }
        $html .= "- <a href='{$link}'>{$i->product_name}</a> <em>({$lnp})</em>";
        
        if(isset($i->children) && count($i->children)) {
            $indent++;
            _getHtmlLink($html, $i->children);
        } else {
            $ln[$indent] = '';
        }
        if($indent > 1) {
            $indent--;
        }
    }
}