<?php
/**
 * Hello View for Hello World Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

/**
 * Hello View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class eBoekhoudenViewTaxGroups extends JView
{
	/**
	 * display method of Hello view
	 * @return void
	 **/
	function display($tpl = null)
	{
	    JToolBarHelper::title( JText::_( 'e-Boekhouden TaxGroups Manager' ), 'generic.png' );
	    JToolBarHelper::deleteList();
	    JToolBarHelper::editListX();
	    JToolBarHelper::addNewX();

	    // Get data from the model
	    $items =& $this->get( 'Data');

	    $this->assignRef( 'items', $items );

	    parent::display($tpl);
	}
}