<?php

/**
 * @author Kiritateru, DharmaMedia.
 * @package e-Boekhouden.nl
 * @copyright 2011
 */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.controller');


/**
 * General Controller of e-Boekhouden orders
 */
class eBoekhoudenControllerCategories extends JController
{
    function display($cachable = false)
    {
        // Reload order table from webshop
        $this->reload();
        JRequest::setVar('view', JRequest::getCmd('view', 'categories'));
        parent::display($cachable);
    }
    function reload()
    {
        $query = $this->getModel('ExCategories', 'eBoekhoudenModel')->getListQuery()->
            __toString();
        
        $db = &JFactory::getDbo();
        $db->setQuery($query);

        if (!$db->query()) {
            $this->setError($db->getErrorMsg());
            return false;
        }
        
        $categories = $db->loadObjectList();
        foreach($categories as $i) {
            $category = $this->getModel('Category', 'eBoekhoudenModel');

            if(isset($i->category_id)) {
                if(!($data = $category->getItem(array('category_id'=>$i->category_id))) ) {
                    if(!$category->save(array('category_id'=>$i->category_id))) {
                        // Debug message
                        ebDebug::log('Failed to save Category Model: catid=' . $i->category_id);
                        $this->setError(JText::_('COM_EBOEKHOUDEN_ERROR_UPDATING_CATEGORIES'));
                        return false;
                    } else {
                        ebDebug::log('Saved Category Model: catid=' . $i->category_id);
                    }
                }
            } else {
                if(!($data = $category->getItem(array('category_id'=>$i->virtuemart_category_id))) ) {
                    if(!$category->save(array('category_id'=>$i->virtuemart_category_id))) {
                        // Debug message
                        ebDebug::log('Failed to save Category Model: catid=' . $i->virtuemart_category_id);
                        $this->setError(JText::_('COM_EBOEKHOUDEN_ERROR_UPDATING_CATEGORIES'));
                        return false;
                    } else {
                        ebDebug::log('Saved Category Model: catid=' . $i->virtuemart_category_id);
                    }
                }
            }
            
        }        
    }
}
