<?php

/**
 * @author Kiritateru, DharmaMedia.
 * @package e-Boekhouden.nl
 * @copyright 2011
 */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.helper');

class ebGeneral
{
    function addSubmenu()
    {
        JSubMenuHelper::addEntry(JText::_('COM_EBOEKHOUDEN_SUBMENU_MAIN'),
            'index.php?option=com_eboekhouden', JRequest::getVar('task') ==
            '' && JRequest::getVar('view') == '');        
        JSubMenuHelper::addEntry(JText::_('COM_EBOEKHOUDEN_SUBMENU_ORDERS'),
            'index.php?option=com_eboekhouden&task=orders.display', JRequest::getVar('view') ==
            'orders');
        JSubMenuHelper::addEntry(JText::_('COM_EBOEKHOUDEN_SUBMENU_PRODUCTS'),
            'index.php?option=com_eboekhouden&task=products.display', JRequest::getVar('view') ==
            'products');            
        JSubMenuHelper::addEntry(JText::_('COM_EBOEKHOUDEN_SUBMENU_CATEGORIES'),
            'index.php?option=com_eboekhouden&task=categories.display',
            JRequest::getVar('view') == 'categories');
    }
	function getActions($messageId = 0)
	{
		$user	= JFactory::getUser();
		$result	= new JObject;
 
		if (empty($messageId)) {
			$assetName = 'com_eboekhouden';
		}
		else {
			$assetName = 'com_eboekhouden.message.'.(int) $messageId;
		}
 
		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.delete'
		);
 
		foreach ($actions as $action) {
			$result->set($action,	$user->authorise($action, $assetName));
		}
 
		return $result;
	}    
}