<?php

/**
 * @author Kiritateru, DharmaMedia.
 * @package e-Boekhouden.nl
 * @copyright 2011
 */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.database.table');

class eBoekhoudenTableOrder extends JTable
{
    function __construct(&$db)
    {
        parent::__construct('#__eboekhouden_orders', 'id', $db);
    }
    public function bind($array, $ignore = '')
    {
        if (isset($array['params']) && is_array($array['params'])) {
            $parameter = new JRegistry;
            $parameter->loadArray($array['params']);
            $array['params'] = (string )$parameter;
        }
        return parent::bind($array, $ignore);
    }
    public function load($pk = null, $reset = true)
    {
        if (parent::load($pk, $reset)) {
            //            $params = new JRegistry;
            //            $params->loadJSON($this->params);
            //            $this->params = $params;
            $this->loadExternal();
            return true;
        } else {
            return false;
        }
    }
    protected function loadExternal()
    {
        $this->external_data = new JObject();
        if ($this->id !== false && $this->order_id !== false) {
            $q = $this->_db->getQuery();
            if (JComponentHelper::getComponent('com_virtuemart', true)->enabled) {
                $this->_isVirtueMart($q);
            }
            if (!$this->_db->setQuery($q->__toString())->query()) {
                // TODO: Debug Message
            } else {
                $this->external_data = $this->_db->loadObject();
            }
        }
    }
    protected function _getAssetName()
    {
        $k = $this->_tbl_key;
        return 'com_eboekhouden.message.' . (int)$this->$k;
    }
    protected function _getAssetTitle()
    {
        return $this->order_id;
    }
    protected function _getAssetParentId()
    {
        $asset = JTable::getInstance('Asset');
        $asset->loadByName('com_eboekhouden');
        return $asset->id;
    }
    protected function _isVirtueMart(&$query)
    {
        // Debug message

    }
}
