<?php

/**
 * @author Kiritateru, DharmaMedia.
 * @package e-Boekhouden.nl
 * @copyright 2011
 */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.view');

class eBoekhoudenViewOrder extends JView
{
    public function display($tpl = null)
    {
        $item = $this->get('Item');
        $form = $this->get('Form');

        if (count($errors = $this->get('Errors'))) {
            JError::raiseError(500, implode('<br />', $errors));
            return false;
        }

        $this->form = $form;
		$this->item = $item;

        parent::display($tpl);
        $this->setDocument();
        $this->setToolbar();
    }
	protected function setDocument() 
	{
		$document = JFactory::getDocument();
		$document->setTitle(JText::_('COM_EBOEKHOUDEN_ORDERS_ADMINISTRATION'));
	}
    protected function setToolbar()
    {
        JRequest::setVar('hidemainmenu', true);
        JToolBarHelper::apply('order.apply', 'JTOOLBAR_APPLY');
        JToolBarHelper::save('order.save', 'JTOOLBAR_SAVE');
		if (empty($this->item->id))  {
			JToolBarHelper::cancel('order.cancel','JTOOLBAR_CANCEL');
		} else {
			JToolBarHelper::cancel('order.cancel', 'JTOOLBAR_CLOSE');
		}        
        JToolBarHelper::divider();
        JToolBarHelper::help('JHELP_COMPONENTS_EBOEKHOUDEN_ORDER_EDIT');
    }
}
